### Method

# Gimp Unit set_deletion_flag

#### Declaration [src]

    void
    gimp_unit_set_deletion_flag (
      GimpUnit unit,
      gboolean deletion_flag
    )

#### Description [src]

Sets a `GimpUnit`‘s `deletion_flag`. If the `deletion_flag` of a unit is `TRUE` when GIMP exits, this unit will not be saved in the users’s “unitrc” file.

Trying to change the `deletion_flag` of a built-in unit will be silently ignored.

#### Parameters

`deletion_flag` | `gboolean`
| The new deletion_flag.